> For the complete documentation index, see [llms.txt](https://docs.babelshark.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.babelshark.net/dev/api-reference/babelshark-config.md).

# BabelShark config

`babelSharkConfig` global variable is being used by BabelShark embed script to configure the behavior of the translation engine.

This object has to be set before loading babelshark.js script. The minimal configuration is the following:

```javascript
<script>
window.babelSharkConfig = {
	projectId: 1000,
	accessCode: "..."
};
</script>

...

<script defer src="https://cdn.babelshark.net/static/babelshark-embed/babelshark.js"></script>
```

### Configuration options

The complete TypeScript interface for configuration object is:

```typescript
interface BabelSharkConfig {
	// Project ID
	projectId: number;
	// _Public_ access code for the embedded script
	accessCode: string;

	// Optional flag to detect language automatically using navigator.language
	detectLanguage?: boolean;
	// Optional flag to pick language from query string parameter
	detectFromQueryString?: string;	

	// Callback to be called when BabelShark is initialized
	onLoaded?: (instance: BabelShark) => void;
	
	// The instance of BabelShark currently running (set on script load)
	instance?: BabelShark;
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.babelshark.net/dev/api-reference/babelshark-config.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
